.block-article-card {
	color: #4e4030;
}

.block-article-card__cover {
	width: 100%;
	height: 100%;
}

.block-article-card__image-wrapper {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	aspect-ratio: var(--aspect-ratio);
	padding: var(--padding);
	overflow: hidden;
	background-color: rgb(243 243 243 / 100%);
	border-radius: var(--border-radius);
}

.block-article-card__image-wrapper svg,
.block-article-card__image-wrapper img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.block-article-card__date-author {
	opacity: 0.6;
}

.block-article-card__button {
	padding-block-end: 2px;
}

.block-article-card__title {
	display: -webkit-box;
	flex-shrink: 0;
	overflow: hidden;
	-webkit-line-clamp: var(--max-row);
	-webkit-box-orient: vertical;
}

.block-article-card__excerpt {
	display: -webkit-box;
	overflow: hidden;
	-webkit-line-clamp: var(--max-row);
	-webkit-box-orient: vertical;
	font-size: 16px;
}

.block-article-card__info {
	color: rgb(var(--color-text));
}
